curl --request POST \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fields": {
"preset.asset_number": "(REQUIRED) - example value",
"preset.subtype": "(REQUIRED) - desktop_pc",
"preset.model_name": "(REQUIRED) - example value",
"preset.serial_number": "example value",
"preset.model_number": "example value",
"preset.memory": "example value",
"preset.hdd_ssd": "example value",
"preset.cpu": "example value",
"preset.os": "example value",
"preset.size": "example value",
"preset.manufacturer": "example value",
"preset.supplier": "example value",
"preset.procurement_method": "purchase",
"preset.purchase_date": "2012-05-18",
"preset.purchase_cost": "1234",
"preset.warranty_period": "example value",
"preset.decommission_date": "2012-05-18",
"preset.scheduled_return_date": "2012-05-18",
"preset.fixed_asset": "yes",
"preset.phone_number": "example value",
"preset.sim_number": "example value",
"preset.mobile_plan": "example value",
"preset.hostname": "example value",
"preset.version": "example value",
"preset.keyboard_layout": "us",
"preset.usage_start_date": "2012-05-18",
"preset.usage_end_date": "2012-05-18",
"preset.status": "in_stock",
"custom.custom_text_field": "foo",
"custom.custom_date_field": "2024-01-01",
"custom.custom_number_field": 123,
"custom.custom_dropdown_field": "Option Displayed Value A"
},
"memo": "foo bar"
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices"
payload = {
"fields": {
"preset.asset_number": "(REQUIRED) - example value",
"preset.subtype": "(REQUIRED) - desktop_pc",
"preset.model_name": "(REQUIRED) - example value",
"preset.serial_number": "example value",
"preset.model_number": "example value",
"preset.memory": "example value",
"preset.hdd_ssd": "example value",
"preset.cpu": "example value",
"preset.os": "example value",
"preset.size": "example value",
"preset.manufacturer": "example value",
"preset.supplier": "example value",
"preset.procurement_method": "purchase",
"preset.purchase_date": "2012-05-18",
"preset.purchase_cost": "1234",
"preset.warranty_period": "example value",
"preset.decommission_date": "2012-05-18",
"preset.scheduled_return_date": "2012-05-18",
"preset.fixed_asset": "yes",
"preset.phone_number": "example value",
"preset.sim_number": "example value",
"preset.mobile_plan": "example value",
"preset.hostname": "example value",
"preset.version": "example value",
"preset.keyboard_layout": "us",
"preset.usage_start_date": "2012-05-18",
"preset.usage_end_date": "2012-05-18",
"preset.status": "in_stock",
"custom.custom_text_field": "foo",
"custom.custom_date_field": "2024-01-01",
"custom.custom_number_field": 123,
"custom.custom_dropdown_field": "Option Displayed Value A"
},
"memo": "foo bar"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fields: {
'preset.asset_number': '(REQUIRED) - example value',
'preset.subtype': '(REQUIRED) - desktop_pc',
'preset.model_name': '(REQUIRED) - example value',
'preset.serial_number': 'example value',
'preset.model_number': 'example value',
'preset.memory': 'example value',
'preset.hdd_ssd': 'example value',
'preset.cpu': 'example value',
'preset.os': 'example value',
'preset.size': 'example value',
'preset.manufacturer': 'example value',
'preset.supplier': 'example value',
'preset.procurement_method': 'purchase',
'preset.purchase_date': '2012-05-18',
'preset.purchase_cost': '1234',
'preset.warranty_period': 'example value',
'preset.decommission_date': '2012-05-18',
'preset.scheduled_return_date': '2012-05-18',
'preset.fixed_asset': 'yes',
'preset.phone_number': 'example value',
'preset.sim_number': 'example value',
'preset.mobile_plan': 'example value',
'preset.hostname': 'example value',
'preset.version': 'example value',
'preset.keyboard_layout': 'us',
'preset.usage_start_date': '2012-05-18',
'preset.usage_end_date': '2012-05-18',
'preset.status': 'in_stock',
'custom.custom_text_field': 'foo',
'custom.custom_date_field': '2024-01-01',
'custom.custom_number_field': 123,
'custom.custom_dropdown_field': 'Option Displayed Value A'
},
memo: 'foo bar'
})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"memo": "foo bar",
"type": "pc",
"people": {
"id": 1,
"primaryEmail": "foo@gmail.com",
"displayName": "Yamaha Honda",
"avatar": "avatar_url",
"username": "foo",
"type": "employee",
"status": "suspended",
"suspendedAt": "2021-07-13T19:15:40.000Z",
"createdAt": "2021-07-13T19:15:40.000Z"
},
"identity": {
"employeeStatus": "active",
"employeeType": "full_time_employee",
"firstName": "First Name",
"lastName": "Last Name",
"id": "<string>",
"organizationId": 123,
"peopleId": "<string>",
"managementType": "managed",
"displayName": "Display Name",
"avatar": "<string>",
"primaryEmail": "primay@email.com",
"secondaryEmails": [
"secondary+1@email.com",
"secondary+2@email.com"
],
"companyName": "company name",
"workLocation": "work location",
"department": {
"name": "department name"
},
"serviceCount": 123,
"deviceCount": 123,
"costs": [
{
"amount": 100,
"currency": "usd"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isManager": true,
"isMock": true,
"isEmailEditable": true,
"hasPresetFieldsUnlinked": true
},
"preset": {
"subtype": "other",
"price": 123.321
},
"custom": {
"custom_text_field": "foo",
"custom_date_field": "2024-01-01",
"custom_number_field": 123,
"custom_dropdown_field": "Option Displayed Value A",
"custom_multi_select_field": [
"Option Displayed Value A",
"Option Displayed Value B"
]
},
"createdAt": "2024-03-20T00:00:00Z",
"updatedAt": "2024-03-20T00:00:00Z",
"customFieldsWithMetadata": [
{
"id": 1,
"attributeCode": "custom_text_field",
"attributeName": "Text field",
"value": "foo"
},
{
"id": 2,
"attributeCode": "custom_date_field",
"attributeName": "Date field",
"value": "2024-01-01"
},
{
"id": 3,
"attributeCode": "custom_number_field",
"attributeName": "Number field",
"value": 123
},
{
"id": 4,
"attributeCode": "custom_dropdown_field",
"attributeName": "Dropdown field",
"value": "Option Displayed Value A"
}
]
}Create a device for an organization
承認
パスパラメータ
レスポンス
Unique identifier for the device
123
Additional notes or memo about the device
"foo bar"
Type of the device (e.g., PC, Phone, Tablet)
pc, phone, other "pc"
Person assigned to this device, or null if unassigned
Show child attributes
Show child attributes
Identity information of the assigned person, or null if unassigned
Show child attributes
Show child attributes
Preset fields for the device. This is a hashmap where the key maps to the field uniqueName in device fields.
Show child attributes
Show child attributes
{ "subtype": "other", "price": 123.321 }
Custom fields for the device. This is a hashmap where the key maps to the field uniqueName in device fields. A dropdown field configured with allowMultiple returns an array of the selected display values.
Show child attributes
Show child attributes
{
"custom_text_field": "foo",
"custom_date_field": "2024-01-01",
"custom_number_field": 123,
"custom_dropdown_field": "Option Displayed Value A",
"custom_multi_select_field": [
"Option Displayed Value A",
"Option Displayed Value B"
]
}
Timestamp when the device was created
"2024-03-20T00:00:00Z"
Timestamp when the device was last updated
"2024-03-20T00:00:00Z"
Show child attributes
Show child attributes
[
{
"id": 1,
"attributeCode": "custom_text_field",
"attributeName": "Text field",
"value": "foo"
},
{
"id": 2,
"attributeCode": "custom_date_field",
"attributeName": "Date field",
"value": "2024-01-01"
},
{
"id": 3,
"attributeCode": "custom_number_field",
"attributeName": "Number field",
"value": 123
},
{
"id": 4,
"attributeCode": "custom_dropdown_field",
"attributeName": "Dropdown field",
"value": "Option Displayed Value A"
}
]
このページは役に立ちましたか?

